import axipy
from axipy import provider_manager, Unit

from spatialRound.ui.tools.roundCoordinate import copyGeometry, createCopyTable


def copyFeature(table_source,table_dest,decimate=None):
    for ft in table_source.items():
        geometry=ft.geometry
        new_geometry=copyGeometry(geometry,decimate)
        isValid=new_geometry.is_valid
        if not isValid:
            new_geometry_valid=new_geometry.normalize()
        else:
            new_geometry_valid = new_geometry
        area_object=None
        try:
            area_object = new_geometry_valid.get_area(Unit.sq_m)
        except:
            jkl=1

        ft.geometry=new_geometry_valid
        table_dest.insert(ft)
    table_dest.commit()
    table_dest.close()
app = axipy.init_axioma()
path_table=r"E:\Support\GIS_CAD\Совмещение\Зоны.TAB"
path_table=r"E:\Support\GIS_CAD\Совмещение\Зоны_topoCheck.tab"
path_table=r"E:\Support\GIS_CAD\0_ВСЕ\0_ВСЕ.TAB"
path_dest=r"E:\Support\GIS_CAD\Совмещение\0_ВСЕ_round_new.TAB"
table=provider_manager.openfile(path_table)
tab_dest=createCopyTable(table,path_dest,0)
copyFeature(table,tab_dest)
print("END ")